local thisObj
local banterPlayed = false
local timesHit = 0
function OnScriptLoaded(level, obj)
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function OnFirstStart(level, obj)
end
function OnHitByWeapon(level, obj, attacker, hitGameObject)
  local questState = game.QuestManager.GetQuestState("Quest_UnfinishedBusiness03_Objective_01")
  if questState == "Active" then
    timesHit = timesHit + 1
    if 5 < timesHit then
      banterPlayed = false
      timesHit = 0
    end
  end
  if questState == "Active" and banterPlayed == false then
    game.Audio.PlayBanter("UB_TR_NotThatStatue")
    banterPlayed = true
  end
end
